from datetime import date
from os import listdir
from os.path import join, getmtime
from tempfile import gettempdir
class bfs11034(object):
  bfs11036 = 1000
  def bfs11027(self):
    bfs10063 = date.today()
    bfs11035 = gettempdir()
    bfs11037 = 0
    for bfs10055 in listdir(bfs11035):
      file_path = join(bfs11035, bfs10055)
      try:
        bfs11040 = getmtime(file_path)
      except OSError:
        pass
      else:
        bfs10655 = date.fromtimestamp(bfs11040)
        if (bfs10655 > bfs10063):
          bfs10063 = bfs10655

        bfs11037 += 1
        if (bfs11037 >= self.bfs11036):
          break



    return bfs10063


